<html lang="en">

<head>
  <title>Rivers</title>
  <style>
    main table th, main table td {
      padding: 0.2em 1em;
      text-align: left;
      border: 1px solid #999;
    }

    main table td.numeric {
      text-align: right;
    }
  </style>
</head>

<body>
  <main>
    <h1>River Dashboard {{ version }}</h1>

    <p>Load Time: {{ load_time }} seconds</p>

    <table>
      <thead>
        <tr>
          <th>Site</th>
          <th>Discharge (cfs)</th>
          <th>Gage height (ft)</th>
        </tr>
      </thead>
      <tbody>
        {% for site, data in river_data %}
          <tr>
            <td>{{ site }}</td>
            <td class="numeric">{{ data.00060|default_if_none:'' }}</td>
            <td class="numeric">{{ data.00065|default_if_none:'' }}</td>
          </tr>
        {% endfor %}
      </tbody>
    </table>
  </main>
</body>

</html>
